package mfsm.jssp.algos;

/** Run All the Experiments */
public class Main {

  /**
   * the main method
   * 
   * @param args
   *          the args
   * @throws Throwable
   *           if it must
   */
  public static final void main(final String[] args) throws Throwable {
    for (String problem : new String[] { "demo", //$NON-NLS-1$
        "la24", //$NON-NLS-1$
        "yn4", //$NON-NLS-1$
        "swv15" }) { //$NON-NLS-1$
      for (int i = 100; (--i) >= 0;) {
        final String[] defArgs = new String[] { problem };
        Runtime.getRuntime().gc();
        Thread.yield();
        SingleSample.main(defArgs);
        Runtime.getRuntime().gc();
        Thread.yield();
        RandomSampling.main(defArgs);
        Runtime.getRuntime().gc();
        Thread.yield();
        HillClimber.main(defArgs);
        Runtime.getRuntime().gc();
        Thread.yield();
        HillClimberWithRestarts.main(defArgs);
        Runtime.getRuntime().gc();
        Thread.yield();
        EA.main(defArgs);
      }
    }
  }
}
